# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Catalyst/Utils.pm) perl(Moose.pm) perl(Moose/Role.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
# fedora bcond_with macro
%define bcond_with() %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}
# redefine altlinux specific with and without
%define with()         %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()      %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
Name:           perl-CatalystX-REPL
Version:        0.04
Release:        alt1_6
Summary:        Read-eval-print-loop for debugging your Catalyst application
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/CatalystX-REPL/
Source0:        http://www.cpan.org/authors/id/F/FL/FLORA/CatalystX-REPL-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(Carp/REPL.pm)
BuildRequires:  perl(Catalyst.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Expect.pm)
BuildRequires:  perl(namespace/autoclean.pm)
Requires:       perl(Catalyst.pm) >= 5.800.060

# Test::Expect and/or Devel::REPL is failing under mock 1.1.8 in koji
# all is fine locally with mock 1.1.14, though
%bcond_with expect_tests


Source44: import.info

%description
Using Carp::REPL with a Catalyst application is hard. That's because of all
the internal exceptions that are being thrown and caught by Catalyst during
application startup. You'd have to manually skip over all of those.

This role works around that by automatically setting up Carp::REPL after
starting your application, if the CATALYST_REPL or MYAPP_REPL environment
variables are set.

%prep
%setup -q -n CatalystX-REPL-%{version}

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} %{buildroot}/*

%check
# Test::Expect and/or Devel::REPL is failing under mock 1.1.8 in koji
# all is fine locally with mock 1.1.14, though
%if ! %{with expect_tests}
grep -lZ 'Test::Expect' t/*.t |xargs -0 rm -f
%endif
make test

%files
%doc Changes LICENSE README
%{perl_vendor_privlib}/*

%changelog
* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1_6
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1_5
- update to new release by fcimport

* Tue Jun 05 2012 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1_3
- fc import

